# Installation

## Stable release

To install gtlparser, run this command in your terminal:

```
pip install gtlparser
```

This is the preferred method to install gtlparser, as it will always install the most recent stable release.

If you don't have [pip](https://pip.pypa.io) installed, this [Python installation guide](http://docs.python-guide.org/en/latest/starting/installation/) can guide you through the process.

## From sources

To install gtlparser from sources, run this command in your terminal:

```
pip install git+https://github.com/GGweelplay/gtlparser
```

## Dependencies

- geopandas: A library for working with geospatial data in Python, built on top of pandas and shapely.
- json: Python's built-in library for working with JSON data.
- pandas: A powerful data manipulation and analysis library.
- Please ensure you have a compatible Python environment installed (Python 3.6 or higher recommended). The dependencies will be automatically installed when you use pip, but you may need to install system-level dependencies for geopandas (such as GDAL, GEOS, and PROJ) depending on your operating system. Consult the geopandas installation documentation for more details if you encounter issues.
